// dllmain.cpp : Defines the entry point for the DLL application.
#include "stdafx.h"

using namespace std;

TCHAR temp_path[MAX_PATH + 1];
tstring logfile;
HANDLE hLogfile = NULL;

BOOL APIENTRY DllMain( HMODULE hModule,
                       DWORD  ul_reason_for_call,
                       LPVOID lpReserved
					 )
{
	switch (ul_reason_for_call)
	{
	case DLL_PROCESS_ATTACH:
		GetTempPath(MAX_PATH + 1, temp_path);
		logfile = temp_path;
		logfile += TEXT("pp.log");
		hLogfile = CreateFile(logfile.c_str(), GENERIC_READ | GENERIC_WRITE, FILE_SHARE_READ | FILE_SHARE_WRITE, NULL, OPEN_ALWAYS, FILE_ATTRIBUTE_NORMAL, NULL);
		assert(hLogfile);
		SetFilePointer(hLogfile, 0, NULL, FILE_END);
		break;

	case DLL_THREAD_ATTACH:
	case DLL_THREAD_DETACH:
		break;

	case DLL_PROCESS_DETACH:
		CloseHandle(hLogfile);
		break;
	}
	return TRUE;
}
